unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, AdvCustomControl, AdvWebBrowser;

type
  TForm1 = class(TForm)
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
    DigiWebBrowserEdge: TAdvWebBrowser;
    procedure DigiWebBrowser1ContextPopup(Sender: TObject; MousePos: TPoint;var Handled: Boolean);
    procedure OnInit(Sender: TObject);
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.DigiWebBrowser1ContextPopup(Sender: TObject; MousePos: TPoint; var Handled: Boolean);
begin
  Handled := True;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  DigiWebBrowserEdge := TAdvWebBrowser.Create(Self);
  DigiWebBrowserEdge.OnInitialized := OnInit;

  DigiWebBrowserEdge.OnContextPopup := DigiWebBrowser1ContextPopup;
  DigiWebBrowserEdge.align := alClient;
  DigiWebBrowserEdge.AlignWithMargins := False;

  TWinControl(DigiWebBrowserEdge).Parent := Self;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  FreeAndNil(DigiWebBrowserEdge);
end;

procedure TForm1.FormShow(Sender: TObject);
begin
  DigiWebBrowserEdge.Navigate(VarToStrDef('http://www.google.com',''));
end;

procedure TForm1.OnInit(Sender: TObject);
begin
  DigiWebBrowserEdge.Navigate(VarToStrDef('http://www.google.com',''));
end;

end.
